Debian Bug report logs - #660598
sdic: fails to install - emacs-package-install fails

version graph

Package: sdic; Maintainer for sdic is Taku YASUI <tach@debian.org>; Source for sdic is src:sdic.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Mon, 20 Feb 2012 04:09:01 UTC

Severity: serious

Tags: sid, wheezy

Found in versions sdic/2.1.3-19.1, sdic/2.1.3-20, sdic/2.1.3-21, sdic/2.1.3-19

Fixed in version sdic/2.1.3-22

Done: Taku YASUI <tach@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Taku YASUI <tach@debian.org>:
Bug#660598; Package sdic. (Mon, 20 Feb 2012 04:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Taku YASUI <tach@debian.org>. (Mon, 20 Feb 2012 04:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sdic: fails to install - emacs-package-install fails
Date: Mon, 20 Feb 2012 05:04:21 +0100
[Message part 1 (text/plain, inline)]
Package: sdic
Version: 2.1.3-19.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to install. As
per definition of the release team this makes the package too buggy for
a release, thus the severity.

>From the attached log (scroll to the bottom...):

  Selecting previously unselected package sdic.
  (Reading database ... 11691 files and directories currently installed.)
  Unpacking sdic (from .../sdic_2.1.3-19.1_all.deb) ...
  Setting up sdic (2.1.3-19.1) ...
  install/sdic: Handling install for emacsen flavor emacs23
  Loading /usr/share/emacs23/site-lisp/sdic/sdic.el (source)...
  Wrong type argument: stringp, ((nil nil nil nil nil nil nil nil) (nil nil nil nil nil nil nil nil))
  emacs-package-install: /usr/lib/emacsen-common/packages/install/sdic emacs23 emacs23 failed at /usr/lib/emacsen-common/emacs-package-install line 30, <TSORT> line 1.
  dpkg: error processing sdic (--configure):
   subprocess installed post-installation script returned error exit status 255


cheers,

Andreas
[sdic_2.1.3-19.1.log.gz (application/x-gzip, attachment)]

Marked as found in versions sdic/2.1.3-19. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 11 Apr 2012 16:42:27 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Sat, 14 Apr 2012 19:45:06 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Taku YASUI <tach@debian.org> to control@bugs.debian.org. (Wed, 02 May 2012 16:15:04 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible and moreinfo. Request was from Taku YASUI <tach@debian.org> to control@bugs.debian.org. (Wed, 02 May 2012 16:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#660598; Package sdic. (Wed, 02 May 2012 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Taku YASUI <tach@debian.org>:
Extra info received and forwarded to list. (Wed, 02 May 2012 16:21:02 GMT) Full text and rfc822 format available.

Message #18 received at 660598@bugs.debian.org (full text, mbox):

From: Taku YASUI <tach@debian.org>
To: 660598@bugs.debian.org
Subject: Re: sdic: fails to install - emacs-package-install fails
Date: Thu, 03 May 2012 01:17:08 +0900 (JST)
Hi,

Unfortunatelly,  I can't reproduce this bug on my clean unstable environment using
emacs23 (23.4+1-3) and sdic (2.1.3-19.1).  And also I can't do it on stable
environment using emacs23 (23.2+1-7) and sdic (2.1.3-19).

So, I change severity into normal and append unreproducible and moreinfo tag.

Could you try once again?




Information forwarded to debian-bugs-dist@lists.debian.org, Taku YASUI <tach@debian.org>:
Bug#660598; Package sdic. (Tue, 08 May 2012 23:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Taku YASUI <tach@debian.org>. (Tue, 08 May 2012 23:09:04 GMT) Full text and rfc822 format available.

Message #23 received at 660598@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <660598@bugs.debian.org>
Subject: Re: sdic: fails to install - emacs-package-install fails
Date: Wed, 09 May 2012 01:07:32 +0200
[Message part 1 (text/plain, inline)]
Package: sdic
Version: 2.1.3-20
Followup-For: Bug #660598

Hi,

the problem still happens in the latest version.

You can reproduce this with piuparts:

  piuparts --mirror http://ftp.XX.debian.org/debian -d sid -a sdic


Andreas
[sdic_2.1.3-20.log.gz (application/x-gzip, attachment)]

Severity set to 'serious' from 'normal' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 09 May 2012 00:51:10 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible and moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 09 May 2012 00:51:11 GMT) Full text and rfc822 format available.

Marked as found in versions sdic/2.1.3-21. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 30 Jun 2012 21:36:21 GMT) Full text and rfc822 format available.

Reply sent to Taku YASUI <tach@debian.org>:
You have taken responsibility. (Mon, 09 Jul 2012 23:48:14 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Mon, 09 Jul 2012 23:48:14 GMT) Full text and rfc822 format available.

Message #34 received at 660598-close@bugs.debian.org (full text, mbox):

From: Taku YASUI <tach@debian.org>
To: 660598-close@bugs.debian.org
Subject: Bug#660598: fixed in sdic 2.1.3-22
Date: Mon, 09 Jul 2012 23:47:35 +0000
Source: sdic
Source-Version: 2.1.3-22

We believe that the bug you reported is fixed in the latest version of
sdic, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660598@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Taku YASUI <tach@debian.org> (supplier of updated sdic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 18 Jun 2012 02:07:22 +0900
Source: sdic
Binary: sdic sdic-gene95 sdic-edict sdic-eijiro
Architecture: source all
Version: 2.1.3-22
Distribution: unstable
Urgency: low
Maintainer: Taku YASUI <tach@debian.org>
Changed-By: Taku YASUI <tach@debian.org>
Description: 
 sdic       - Emacs interface for Japanese dictionaries
 sdic-edict - installer for EDICT dictionaries for sdic
 sdic-eijiro - installer for EIJIRO dictionaries for sdic
 sdic-gene95 - installer for GENE95 dictionaries for sdic
Closes: 660598
Changes: 
 sdic (2.1.3-22) unstable; urgency=low
 .
   * Move bsdmainutils from Suggests to Depends. (closes: #660598)
     - sdic.el requires "look" command provided by bsdmainutils package.
Checksums-Sha1: 
 f1fb0addc01c515de21352b2b39291f9bdf1a1ab 2012 sdic_2.1.3-22.dsc
 71af0c7ba0a095215172902c4fa27712e95af17f 24123 sdic_2.1.3-22.debian.tar.gz
 e7bbce06dd78c89ec318bb55b95f0981cd3b227b 48636 sdic_2.1.3-22_all.deb
 66e9e3e3f0a9c67c31bc29992fa5aa882534fdd5 20862 sdic-gene95_2.1.3-22_all.deb
 e40050e889bead4e43b1afc041a0af4fb8f8bf95 16296 sdic-edict_2.1.3-22_all.deb
 99b5a655e22a6db7873077838cc2aa6a3dba854d 13080 sdic-eijiro_2.1.3-22_all.deb
Checksums-Sha256: 
 ddc73b4d8e472adaabe2678443ab19c857f95415a47d5af595777b31dc55781f 2012 sdic_2.1.3-22.dsc
 18d6919442d505774caa0b7210b4da7a2cdc1de4e12870c1ec76eab47b833229 24123 sdic_2.1.3-22.debian.tar.gz
 b24938fd1a7e76e0f850064599bf2953208a68a9d084597f03b585ac1d5e89fc 48636 sdic_2.1.3-22_all.deb
 994b3518b830fbe38296acc47f48f741deab618b37664fdca282ff64c476eff2 20862 sdic-gene95_2.1.3-22_all.deb
 ce430cf30667828c1cfea26e63adf21547d5141f5e9ad12b9c2c12e2c3e43738 16296 sdic-edict_2.1.3-22_all.deb
 dadf916f5f0f50732e9afb82ea507f5cb4693b6ba2434b901ee61b666ee3d42e 13080 sdic-eijiro_2.1.3-22_all.deb
Files: 
 d7d3278b6207d05ce8bc2a61215938fa 2012 contrib/text optional sdic_2.1.3-22.dsc
 82e6b72cccb730cab2bc45413d240b7d 24123 contrib/text optional sdic_2.1.3-22.debian.tar.gz
 d3ffcde03e9265ebdaebb865fd3352ab 48636 contrib/text optional sdic_2.1.3-22_all.deb
 067b8e6cc09b1c025aa0e65f03337523 20862 contrib/text optional sdic-gene95_2.1.3-22_all.deb
 259426d7ca2778246be4397c39277c1a 16296 contrib/text optional sdic-edict_2.1.3-22_all.deb
 fb8b7b2b2c098729ce343e5f4de8c4f2 13080 contrib/text optional sdic-eijiro_2.1.3-22_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP+2sHAAoJEEDXFs/pCc3ueYkQAJ+xcZgdu3gXZJoEzvPC11cb
IehjcqqyMo2QXbL3dDqOrbPFsgunTdmna7fHf0slChjRESg0lo/vMINSUzwZvvV6
OIR4VirhLVHxr9ls0DDxbaSJbdyQPqTO1VdFtQAd5z5KlCWu/3+g5tiAIo2d9GDs
BIrvPDFWQEy3GLa1sGV6cV91fQcBjvDS3+axMy/x4wAa/hEEfxL7I9wTXnG0n7HP
1hRHifYuJ0rb9VybKxOuU3L9pRHJCKkWjxhkaU7xw1jfQfSGYHrzdJ7GexpgtJUr
UTXBFEfEeX8ZE7x4J4L9X/303kI6SBvqLtrUkl/BHYI0pDolHfrbykxkgFLlI2Cs
NtTSqHTwCbSbZm+dJrpgaGSEPqN7q8yhoiULc+xi8O3Q7ExP18NmgRuNMJDelvZM
5ek4wy+AKqFocXrpFSioCwArAXGe3Mtf5UcNTRauAzxm8Ipe6iYvAdj4JIrotV6Z
rbzeFd76sBFiikylH1XkCOjf3BSo/eh49BC5tdPOHT7rgvyHTajIh9GXrSzntyB6
m6LGu+NsJFfGJ3TW0Guc2eR5z/ZhgiNdv3Z0Y4fe5IbJFwrTBwJ9bZwChEP/3+Np
b0tC9mQbK56/Co0cewTq6bT8lGPdSfeVNECk4ph0AjcKcwD4d36VbhybFgc9A6zJ
a30Tq2YD/Ej0YKX3bZ4E
=eG7I
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Aug 2012 07:42:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:24:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.